
Figure - Bug #117612
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试24小时，出现CRASH: com.android.settings（22）
2023-04-21 10:53 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-21

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0093.C103(X103)

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-21

Test Type: ST Root cause: Activity 为空导致。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.settings (pid 15732)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'android.content.pm.PackageManager

android.content.Context.getPackageManager()' on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2937:user/test-keys

// Build Changelist: 2937

// Build Time: 1681946324000

// java.lang.NullPointerException: Attempt to invoke virtual method 'android.content.pm.PackageManager

android.content.Context.getPackageManager()' on a null object reference

//     at android.view.textservice.SpellCheckerSubtype.getDisplayName(SpellCheckerSubtype.java:253)

//     at com.android.settings.inputmethod.SpellCheckersSettings.getSpellCheckerSubtypeLabel(SpellCheckersSettings.java:150)

//     at com.android.settings.inputmethod.SpellCheckersSettings.updatePreferenceScreen(SpellCheckersSettings.java:127)

//     at com.android.settings.inputmethod.SpellCheckersSettings.access$200(SpellCheckersSettings.java:42)

//     at com.android.settings.inputmethod.SpellCheckersSettings$1.onClick(SpellCheckersSettings.java:233)

//     at androidx.appcompat.app.AlertController$AlertParams$3.onItemClick(AlertController.java:1068)

//     at android.widget.AdapterView.performItemClick(AdapterView.java:330)

//     at android.widget.AbsListView.performItemClick(AbsListView.java:1220)

//     at android.widget.AbsListView$PerformClick.run(AbsListView.java:3213)

//     at android.widget.AbsListView$3.run(AbsListView.java:4227)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)
History

#1 - 2023-04-21 10:54 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117612

#2 - 2023-04-21 15:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195218 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix setting monkey test crash problem.TC-RID: 1201-0201809IssueID: TS-R-BUG-117612Change-Id:

Ia2705fe184b82bbdf12c3e520a0e1316d71a171d

#3 - 2023-04-21 15:10 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-21

- Root cause set to Activity 为空导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

Activity 为空导致。

■ Next action

测试验证。

#4 - 2023-04-25 18:34 - CD TEST-方永红

4.25

24日版本冒烟失败，待今日跑测后更新

#5 - 2023-04-26 11:24 - CD TEST-方永红
4.26

0094版本未复现

#6 - 2023-04-27 13:57 - CD TEST-方永红

4.27

26号DB版本未复现、继续跟踪一个版本

#7 - 2023-04-28 17:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28

27日DB未复现，先关闭

#8 - 2023-04-28 17:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 513 KB 2023-04-21 CD TEST-方永红
